Page MenuHomePhabricator

Visual diffing: Document replacement causes differ to run slowly and then throw an exception
Closed, ResolvedPublic8 Story Points

Description

Copy the contents of Simple.html to Aliens.html and press 'Get diff'. After 12 seconds an exception is thrown.

Event Timeline

Esanders created this task.Nov 24 2016, 9:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2016, 9:09 PM
Jdforrester-WMF triaged this task as High priority.Dec 6 2016, 5:31 PM
Jdforrester-WMF set the point value for this task to 8.

Change 331517 had a related patch set uploaded (by Tchanders):
Record no diff if linear diff length is zero

https://gerrit.wikimedia.org/r/331517

This was caused by deciding a content branch node with content length 0 was modified to an alien node.

A diff is recorded if the ratio of retained content to changed content is above a threshold. Here both were zero, so above the threshold, but it should not be interpreted as a modification.

Change 331517 abandoned by Tchanders:
Record no diff if linear diff length is zero

Reason:
Will be fixed by fixing T151404

https://gerrit.wikimedia.org/r/331517

Change 333992 had a related patch set uploaded (by Tchanders):
WIP Visual diff node type and attribute changes

https://gerrit.wikimedia.org/r/333992

Change 333992 merged by jenkins-bot:
Detect node type/attribute changes in the visual diff

https://gerrit.wikimedia.org/r/333992

Change 334678 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (e5dffec)

https://gerrit.wikimedia.org/r/334678

Change 334678 merged by jenkins-bot:
Update VE core submodule to master (e5dffec)

https://gerrit.wikimedia.org/r/334678

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 10 2017, 10:55 PM